Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 07/12/2020, à 11:06

OlivierM72

libstdc++.so.6: version `GLIBCXX_3.4.26' not found

Bonjour,
j'ai installé Ubuntu 20.04 LTS sur windows 10 wsl2 mais je suis bloqué par une erreur que je ne parviens pas à résoudre:

Traceback (most recent call last):
   File "/usr/lib/command-not-found", line 28, in <module> from CommandNotFound import CommandNotFound   
   File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line 19, in <module> from CommandNotFound.db.db import SqliteDatabase                           
   File "/usr/lib/python3/dist-packages/CommandNotFound/db/db.py", line 5, in <module> import apt_pkg                                                         
   ImportError: /home/olivier/OpenFOAM/ThirdParty-v2006/platforms/linux64/gcc-6.3.0/lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by /lib/x86_64-linux-gnu/libapt-pkg.so.6.0) 

Auriez-vous une solution ou une explication à ce problème ?

Merci

Bonne journée

Hors ligne

#2 Le 07/12/2020, à 11:22

xubu1957

Re : libstdc++.so.6: version `GLIBCXX_3.4.26' not found

Bonjour,

Comme indiqué dans le premier message du tutoriel Retour utilisable de commande.

Pour ajouter toi-même les balises code à ton précédent message #1 :

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1530289742.png

Traceback (most recent call last):
   File "/usr/lib/command-not-found", line 28, in <module> from CommandNotFound import CommandNotFound   
   File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line 19, in <module> from CommandNotFound.db.db import SqliteDatabase                           
   File "/usr/lib/python3/dist-packages/CommandNotFound/db/db.py", line 5, in <module> import apt_pkg                                                         
   ImportError: /home/olivier/OpenFOAM/ThirdParty-v2006/platforms/linux64/gcc-6.3.0/lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by /lib/x86_64-linux-gnu/libapt-pkg.so.6.0) 

En regardant > askubuntu.com/questions/1185547/error-with-apt-get-update-and-python3

Quelle est la version utilisée de python ?

_ _ _

Et dans > askubuntu.com/questions/1173592/ubuntu-18-04-wsl-problems-with-python-3-7-4

Le 12/09/2019, user535733 a écrit :

C'est une erreur courante des nouveaux utilisateurs expérimentés. NE CHANGEZ PAS la version de Python fournie par le système - cela endommagerait votre système. De nombreux services importants dépendent de Python, et quelques-uns sont interrompus lorsque les versions changent. Vous pouvez exécuter différentes versions à votre guise (des outils comme venv et conda sont bons pour cela). Conseils pour réussir: NE supprimez ni ne remplacez le Python fourni par le système, et NE modifiez PAS le lien symbolique /usr/bin/python3 pour qu'il pointe vers une version différente de Python. À l'intérieur de ces deux contraintes mineures, le monde est à vous

Dernière modification par xubu1957 (Le 07/12/2020, à 12:34)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne